AM261x MCU+ SDK: enet_base.h File Reference

| AM261x MCU+ SDK 26.00.00 |

Data Structures | Macros | Typedefs | Functions
enet_base.h File Reference

## Introduction

This file contains the type definitions and helper macros for the Enet Peripheral interface.

Go to the source code of this file.

## Data Structures
struct | Enet_Obj
| Enet object. More...

## Macros
#define | ENET_FEAT_ALL (0xFFFFFFFFU)
| Feature mask which indicates that all of the configurable features are enabled. More...
#define | ENET_FEAT_BASE (0x00000000U)
| Feature masks which indicates that none of the configurable features are enabled. More...
#define | ENET_FEAT_IS_EN(feats, mask) (((feats) & (mask)) != 0U)
| Check if a configurable feature is enabled or not. More...
#define | ENET_ERRATA_NONE (0x00000000U)
| Errata mask which indicates that none of the erratas is applicable. More...
#define | ENET_ERRATA_IS_ANY(mask) ((mask) != ENET_ERRATA_NONE)
| Check if any errata is applicable, from an errata mask. More...
#define | ENET_ERRATA_IS_EN(erratas, mask) (((erratas) & (mask)) != 0U)
| Check if an errata is applicable. More...

## Typedefs
typedef struct Enet_Obj_s * | Enet_Handle
| Ethernet driver handle. More...

## Functions
static EnetPer_Handle | Enet_getPerHandle (Enet_Handle hEnet)
| Get the Enet Peripheral handle associated with Enet driver. More...

## Macro Definition Documentation

## ◆ ENET_FEAT_ALL

#define ENET_FEAT_ALL (0xFFFFFFFFU)

Feature mask which indicates that all of the configurable features are enabled.

## ◆ ENET_FEAT_BASE

#define ENET_FEAT_BASE (0x00000000U)

Feature masks which indicates that none of the configurable features are enabled.

## ◆ ENET_FEAT_IS_EN

#define ENET_FEAT_IS_EN | ( |  | feats,
|  |  | mask
| ) |  | (((feats) & (mask)) != 0U)

Check if a configurable feature is enabled or not.

## ◆ ENET_ERRATA_NONE

#define ENET_ERRATA_NONE (0x00000000U)

Errata mask which indicates that none of the erratas is applicable.

## ◆ ENET_ERRATA_IS_ANY

#define ENET_ERRATA_IS_ANY | ( |  | mask | ) | ((mask) != ENET_ERRATA_NONE)

Check if any errata is applicable, from an errata mask.

## ◆ ENET_ERRATA_IS_EN

#define ENET_ERRATA_IS_EN | ( |  | erratas,
|  |  | mask
| ) |  | (((erratas) & (mask)) != 0U)

Check if an errata is applicable.

## Typedef Documentation

## ◆ Enet_Handle

typedef struct Enet_Obj_s* Enet_Handle

Ethernet driver handle.

Ethernet driver opaque handle used to call any Enet related APIs.

## Function Documentation

## ◆ Enet_getPerHandle()

static EnetPer_Handle Enet_getPerHandle | ( | Enet_Handle | hEnet | ) |
| inlinestatic

Get the Enet Peripheral handle associated with Enet driver.

Gets the underlying Enet Peripheral handle associated with the given Enet driver.

Parameters

  hEnet | Enet handle

Returns
  EthPer handle